commit:     af0c29ef228e4dcd90d25cde3b6412ae1eec0d6a
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Wed May  4 00:00:23 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Wed May  4 00:08:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af0c29ef

net-misc/lambdamoo: use #!/sbin/openrc-run instead of #!/sbin/runscript

Gentoo-Bug: https://bugs.gentoo.org/573846

Package-Manager: portage-2.2.26

 net-misc/lambdamoo/files/lambdamoo.rc        |  4 +--
 net-misc/lambdamoo/lambdamoo-1.8.1-r3.ebuild | 48 ++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 2 deletions(-)

diff --git a/net-misc/lambdamoo/files/lambdamoo.rc 
b/net-misc/lambdamoo/files/lambdamoo.rc
index 142ce15..579076f 100644
--- a/net-misc/lambdamoo/files/lambdamoo.rc
+++ b/net-misc/lambdamoo/files/lambdamoo.rc
@@ -1,5 +1,5 @@
-#!/sbin/runscript
-# Copyright 1999-2004 Gentoo Foundation
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 

diff --git a/net-misc/lambdamoo/lambdamoo-1.8.1-r3.ebuild 
b/net-misc/lambdamoo/lambdamoo-1.8.1-r3.ebuild
new file mode 100644
index 0000000..de08a46
--- /dev/null
+++ b/net-misc/lambdamoo/lambdamoo-1.8.1-r3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit autotools
+
+DESCRIPTION="networked mud that can be used for different types of 
collaborative software"
+HOMEPAGE="http://sourceforge.net/projects/lambdamoo/";
+SRC_URI="mirror://sourceforge/lambdamoo/LambdaMOO-${PV}.tar.gz"
+
+LICENSE="LambdaMOO GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~sparc"
+IUSE=""
+
+DEPEND="sys-devel/bison"
+RDEPEND=""
+
+S=${WORKDIR}/MOO-${PV}
+
+src_prepare() {
+       default
+
+       eapply "${FILESDIR}"/${PV}-enable-outbound.patch
+       sed -i Makefile.in \
+               -e '/ -o /s|$(CFLAGS)|& $(LDFLAGS)|g' \
+               || die "sed Makefile.in"
+       eautoreconf
+}
+
+src_compile() {
+       emake \
+               CC=$(tc-getCC) \
+               CFLAGS="${CFLAGS} \
+               -DHAVE_MKFIFO=1"
+}
+
+src_install() {
+       dosbin moo
+       insinto /usr/share/${PN}
+       doins Minimal.db
+       dodoc *.txt README*
+
+       newinitd "${FILESDIR}"/lambdamoo.rc ${PN}
+       newconfd "${FILESDIR}"/lambdamoo.conf ${PN}
+}

Reply via email to